Deze week legde Google een brutaal koekoeksei: Google Chrome Frame. Deze open source plugin activeert zowel de WebKit- als de Javascript-engine van Chrome in Internet Explorer 6, 7, of 8.

Plugin pushen

Alhoewel nog in de testfase, laat Google er geen gras over groeien om deze plugin te pushen. Wie met Internet Explorer gebruik wil maken van de experimentele dienst Google Wave, krijgt bij het inloggen de volgende popup te zien:

"Om Google Wave in IE te gebruiken is het nodig om de Google Chrome Frame plugin te installeren. U kunt ook de volgende browsers gebruiken: Google Chrome, Safari 4, Firefox 3.5. Als u toch door wilt gaan, is dat voor eigen risico."

Dat blogt het team achter Google Wave, dat niet nalaat om IE meteen een veeg uit de pan te geven. "Helaas is Internet Explorer, nog steeds in gebruik bij de meerderheid, niet bij met de laatste ontwikkelingen in webtechnologie. Vergeleken met andere browsers zijn de Javascript-prestaties vele malen trager en html 5-ondersteuning blijft ver achter. Daarnaast hebben de verschillende IE-versies allemaal hun eigen CSS-afwijkingen en beperkingen die het bouwen van rijke webapplicaties ingewikkeld maken."

Misleidend

Niet iedereen is even gecharmeerd van de manier waarop Google webstandaarden, maar vooral zijn eigen browser, promoot. Alex Chitu van het blog Google Operating System vindt de boodschap misleidend, omdat Google Wave wel werkt in IE, maar alleen trager. "Dat je niet dezelfde ervaring kunt bieden in elke browser is nog geen reden om gebruikers te misleiden", vindt Chitu.